import * as React from 'react';
import omit from 'omit.js';
import { FormProvider as RcFormProvider } from 'rc-field-form';
export var FormContext = React.createContext({
    labelAlign: 'right',
    vertical: false,
    itemRef: function itemRef() {}
});
export var FormItemContext = React.createContext({
    updateItemErrors: function updateItemErrors() {}
});
export var FormProvider = function FormProvider(props) {
    // @ts-ignore
    var providerProps = omit(props, ['prefixCls']);
    return React.createElement(RcFormProvider, providerProps);
};
export var FormItemPrefixContext = React.createContext({
    prefixCls: ''
});